
Vn.Confirm = new Class
({
	Extends: Vn.Module

	,activate: function ()
	{
		this.tpv = new Vn.Tpv (this.conn, this.hash);
	}
	
	,onStatusChange: function (form)
	{
		if (form.row != -1)
			this.$('total').value = form.get ('tax_base') + form.get ('vat');
		else
			this.$('total').value = null;
	}
	
	,disableButtons: function (disable)
	{
		this.$('modify').disabled = disable;
		this.$('confirm').disabled = disable;
	}
	
	,onModifyClick: function ()
	{
		window.history.back();
	}
	
	,onConfirmClick: function ()
	{
//		var query = 'CALL order_confirm (#order)';
		var query = 'SELECT TRUE ok, customer_get_debt() debt';
			
		var batch = new Sql.Batch ();
		batch.addParam ('order', this.$('order-id'));
	
		this.conn.execQuery (query, this.confirmDone.bind (this), batch);
	}

	,confirmDone: function (resultSet)
	{
		var res = resultSet.fetchResult ();
	
		if (!(res && res.next()))
			this.goBasket ();
		
		Vn.Cookie.unset ('order');
		this.pay = res.get ('debt') > this.$('order-form').get ('credit');

		this.popup = new Htk.Popup ();
		this.popup.setChildNode (this.$('success-dialog'));
		this.popup.showCenter ();
	}
	
	,onAcceptClick: function ()
	{
		this.popup.hide ();
		
		if (this.pay)
			this.tpv.pay (this.$('total').value,
				this.$('order-form').get ('company_id'));
		else
			this.hash.set ({'form': 'ecomerce/orders'});
	}
});

